IF NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[Teller]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[Teller](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[ReceivingDate] [char](8) NOT NULL,
	[BatchNumber] [int] NOT NULL,
	[Fieldx1] [varchar](50) NULL,
	[Fieldx2] [varchar](50) NULL,
	[CardNumber] [varchar](50) NOT NULL,
	[Currency] [varchar](3) NOT NULL,
	[Amount] [money] NOT NULL,
	[DebitCredit] [char](1) NOT NULL,
	[TransactionNumber] [varchar](50) NOT NULL,
	[DateTimeTransaction] [datetime] NOT NULL,
	[MessageType] [varchar](4) NULL,
	[MessageTypeText] [varchar](32) NULL,
	[Fieldx3] [varchar](15) NULL,
	[TerminalNumber] [varchar](50) NOT NULL,
	[Merchant1] [varchar](15) NULL,
	[Merchant2] [varchar](15) NULL,
	[MerchantName] [varchar](32) NULL,
	[AdviceNumber] [varchar](8) NULL,
	[TransTypeCode] [varchar](2) NULL,
	[MerchentReferenceNumber] [varchar](50) NULL,
	[Fieldx4] [varchar](15) NULL,
	[Fieldx5] [varchar](15) NULL,
	[Fieldx6] [varchar](15) NULL,
	[FileName] [varchar](250) NOT NULL,
 CONSTRAINT [PK_Teller] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)
) ON [PRIMARY]

GO